%define subrel 1

Name:           python-socksio
Version:        1.0.0
Release:        %mkrel 1
Summary:        Sans-I/O implementation of SOCKS4, SOCKS4A, and SOCKS5
Group:          Development/Python

License:        MIT
URL:            https://github.com/sethmlarson/socksio
Source:         %{pypi_source socksio}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:	python3-tomli

%description
Client-side sans-I/O SOCKS proxy implementation. Supports SOCKS4, SOCKS4A, and
SOCKS5.

%package -n     python3-socksio
Summary:        %{summary}

%description -n python3-socksio
Client-side sans-I/O SOCKS proxy implementation. Supports SOCKS4, SOCKS4A, and
SOCKS5.

%prep
%autosetup -p1 -n socksio-%{version}
sed -e 's|flit_core >=2,<3|flit_core >=2|' -i pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files socksio

%check
%pyproject_check_import

%files -n python3-socksio -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Sat Mar 29 2025 katnatek <katnatek> 1.0.0-1.1.mga9
+ Revision: 2171423
- Rebuild with right version of python3-flit-core
- Fix build in mageia 9
- Build requirement for python-httpx 0.28.1 mga#34021
- Import for mageia 9

* Tue Feb 25 2025 wally <wally> 1.0.0-4.mga10
+ Revision: 2152289
- rebuild for python3.13

* Fri Dec 29 2023 papoteur <papoteur> 1.0.0-3.mga10
+ Revision: 2023794
- rebuild again for python 3.12

* Sun Dec 10 2023 wally <wally> 1.0.0-2.mga10
+ Revision: 2016880
- rebuild for py3.12

* Sat Oct 14 2023 papoteur <papoteur> 1.0.0-1.mga10
+ Revision: 1996662
- imported package python-socksio

